curl --request POST \
--url https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contactIndividualId": "<integer>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactIndividualId: '<integer>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch('https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees"
payload = {
"contactIndividualId": "<integer>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{\n \"contactIndividualId\": \"<integer>\",\n \"customFields\": [\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n },\n {\n \"name\": \"<string>\",\n \"value\": \"<string>\",\n \"displayName\": \"<string>\"\n }\n ]\n}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Event/{eventId}/Attendees';
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contactIndividualId: '<integer>',
customFields: [
{name: '<string>', value: '<string>', displayName: '<string>'},
{name: '<string>', value: '<string>', displayName: '<string>'}
]
})
};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"id": "<integer>",
"eventInvitationUrl": "<string>",
"contactId": "<integer>",
"contactIndividualId": "<integer>",
"invitee": "<string>",
"contactUrl": "<string>",
"event": "<string>",
"eventId": "<integer>",
"eventViewUrl": "<string>",
"location": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"rsvp": "<string>",
"attended": "<string>",
"emailAddress": "<string>",
"invited": "<string>",
"emailStatus": "<string>",
"emailSent": "<string>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Create an Event Attendee
Invites an individual to the event. Send the contactIndividualId of the person attending; use the Update an Event Attendee endpoint afterward to record their RSVP, seating, meal, and attendance.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
(Required) The event identifier.
Body
Response
OK
The unique identifier of the record in Virtuous.
The identifier of the contact this record belongs to.
The identifier of the contact individual this record belongs to.
A link to the related contact.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
The custom field values stored on the record.
Show child attributes
Show child attributes
Was this page helpful?